//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TransactionType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TransactionType"&gt;
 *   &lt;restriction base="{}EnumerationString"&gt;
 *     &lt;enumeration value="group"/&gt;
 *     &lt;enumeration value="initial"/&gt;
 *     &lt;enumeration value="back"/&gt;
 *     &lt;enumeration value="stationary"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TransactionType")
@XmlEnum
public enum TransactionType {


    /**
     * A transaction of type 'group' groups transactions of other types
     * 
     */
    @XmlEnumValue("group")
    GROUP("group"),

    /**
     * A transaction of type 'initial' says that this is the transaction that is initially sent, and usually invokes a response. This transaction type
     *                         requires at least a 'sender' and a 'receiver' actor.
     * 
     */
    @XmlEnumValue("initial")
    INITIAL("initial"),

    /**
     * A transaction of type 'back' says that this transaction is sent in response to another transaction that preceded this one. Transactions of type
     *                         'back' may invoke a new transaction, but this is again of type initial. This transaction type requires at least a 'sender' and a 'receiver' actor.
     * 
     */
    @XmlEnumValue("back")
    BACK("back"),

    /**
     * A transaction of type 'stationary' says that this transaction does not involve communication, but rather the local registration/administration of
     *                         data. Transactions of type 'stationary' do not invoke new transaction. This transaction type requires exactly one 'sender' actor.
     * 
     */
    @XmlEnumValue("stationary")
    STATIONARY("stationary");
    private final String value;

    TransactionType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TransactionType fromValue(String v) {
        for (TransactionType c: TransactionType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
